com.jscape.inet.sftp

## Class SftpException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.jscape.inet.sftp.SftpException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    com.jscape.inet.sftp.RequestException, SftpAuthenticationException, SftpConnectionException, SftpTimeoutException, SftpUnknownHostException

      public class SftpException
      extends java.io.IOException

  SftpException is thrown by many methods of the Sftp class. The methods are masking various exception types into SftpException, but the event message will be propagated.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SftpException()`
    `SftpException(java.lang.String message)` Creates a new SftpException with specified exception message.
    `SftpException(java.lang.String message, java.lang.Throwable cause)` Creates a new SftpException and store the original message and exception.
    `SftpException(java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SftpException` | `wrap(java.lang.Throwable e)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SftpException

          public SftpException()

    - #### SftpException

          public SftpException(java.lang.String message)

      Creates a new SftpException with specified exception message.
      Parameters:
        `message` - the exception message.

    - #### SftpException

          public SftpException(java.lang.String message,
                               java.lang.Throwable cause)

      Creates a new SftpException and store the original message and exception.
      Parameters:
        `message` - The exception message
        `cause` - The exception which caused this exception

    - #### SftpException

          public SftpException(java.lang.Throwable cause)

  - ### Method Detail

    - #### wrap

          public static SftpException wrap(java.lang.Throwable e)

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved